* {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
html {
    height: 100vh;
    overflow: hidden;
}
body {
    max-height: min-content;
}
p {
    color: #333;
    font-family: Raleway, sans-serif;
    width: 70%;
    margin: 5px auto;
    background-color: #7fffd4db;
    border-radius: 10px;
    padding: 6px;
}
h1 {
    font-family: Raleway, sans-serif;
    font-size: 5vw;
    margin: 5px;
    color: #222;
    border-radius: 10px;
    background-color: #0cddffdb;
    padding: 0 12px;
}
.left-container,
a:visited .right-container {
    color: #333;
}

li a {
    display: block;
    color: #fff;
    text-align: center;
    padding: 10px 8px;
    text-decoration: none;
    outline: transparent;
}



/* NAVBAR and child elements ---------------------------------------------- */

ul {
    list-style-type: none;
    padding: 2px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-self: center;
    margin: 0;
}
#social-icons {
    font-size: 18px;
}


.nav-bar {
    padding: 6px;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    background-color: rgba(1, 3, 19, 0.96);
}


.top-nav-list {
    font-size: 11px;
    width: 100%;
    border-bottom: 2px solid #25d13b;
}

.s-media i:hover {
    color: #33c646;
}
ul .nav-a {
    flex-basis: 100%;
    display: flex;
    align-items: center;
}

.top-nav-list > li, .s-media {
    width: auto;
    -webkit-animation: spin 1.5s linear 1;
    -moz-animation: spin 1.5s linear 1;
    animation: spin 1.5s linear 1;
}
.nav-a {
    color: #94f68b;
    font-weight: 100;
    letter-spacing: 2px;
    text-decoration: none;
    width: 100%;
    text-align: center;
    transition: all 1s;
    border-radius: 4%;
    border: solid 1px transparent;
}
.nav-a:hover {
    background: rgba(23, 159, 201, 0.3);
    border-bottom: 1px solid #999;
}

/* -------------------------------------------------------------------------------------------- */

.main-container {
    position: relative;
    height: 95vh;
    width: 100%;
    border-bottom: silver solid 0.5px;
    background-image: linear-gradient(#ffffcb, #e8fed7, #a5fee2, #ffffcb);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: bottom;
    display: flex;
    justify-content: center;
    overflow: hidden;
}
.anchor-divs {
    text-decoration: none;
    flex-grow: 1;
    max-width: 50%;
}
#left-div,#right-div {
    transition: transform 1s ease-in-out;
    z-index: 2;
}
#left-div {
    border-right: 1px dashed transparent;
    transform: translateX(-100%);
    transition: transform 2s ease-in-out;
}
#left-div.active {
    transform: translateX(0);
}
#right-div {
    transform: translateY(-100%);
    transition: transform 1s ease-in-out;
}
#right-div.active {
    transform: translateY(0);
}
.left-container,
.right-container {
    background-color: rgba(105, 44, 184, 0.28);
    width: 100%;
    height: 95%;
    text-align: center;
    min-width: 150px;
    display: flex;
    flex-direction: column;
    transition: 1s;
    align-items: center;
    justify-content: center;
}
.test-pic {
    background: transparent url("../pictures/Cartoon-Me.webp") no-repeat;
    height: 100%;
    width: 100%;
    position: absolute;
    z-index: 1;
    transition: 3s;
    opacity: 0;
}
.test-pic.active {
    opacity: 1;
}


@media screen and (min-width: 615px) {
    .test-pic {
        left: 25%;
        top: -10px;
    }
    .top-nav-list {
        font-size: 15px;
    }
    #left-div {
        margin-right: 4px;
    }
}

@media screen and (min-width: 900px) {
    .test-pic {
        left: 30%;
    }
    .top-nav-list {
        font-size: 22px;
    }
    .top-nav-list > li {
        margin-right: 28px;
    }
    #social-icons {
        font-size: 19px;
    }
}

@media screen and (min-width: 1000px) {
    h1 {
        font-size: 72px !important;
    }
    .paragraph {
        font-size: 24px;
    }
}

@media screen and (max-height: 300px) {
    #social-icons {
        display: none;
    }
  .left-container, .right-container {
  	justify-content: start;
  }
}

@media screen and (min-width: 1200px) {
    .test-pic {
        left: 39%;
    }
    h1 {
        border-radius: 7px;
        padding: 24px;
    }
    .top-nav-list > li {
        margin-right: 45px;
    }
    #social-icons {
        font-size: 27px;
    }
}


@media not screen and (min-width: 500px) {
    .paragraph {
        font-size: 4vw;
    }
    h1 {
        font-size: 1.5em;
    }
    .row i {
        padding: 6%;
    }
}


@media not screen and (min-width: 370px) {
    .test-pic {
        left: -11%;
    }
    .paragraph {
        font-size: 3vw;
        line-height: 2;
    }
}

@media screen and (max-width: 360px) {
    .test-pic {
        left: 4%;
    }
}

@media screen and (max-width: 429px) {
    .paragraph {
        display: none;
    }
    h1 {
        position: relative;
        top: 16%;
    }
}

/* ----------------------------------------------- */


@-moz-keyframes spin {
    100% {
        -moz-transform: rotate(360deg);
    }
}
@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
    }
}
@keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
